using CommunityToolkit.Mvvm.Messaging;

namespace SteUp.Shared.Core.Messages.Ispezione;

public class CompleteInspectionService
{
    public event Action? OnComplete;

    public CompleteInspectionService(IMessenger messenger)
    {
        messenger.Register<CompleteInspectionMessage>(this, (_, _) => { OnComplete?.Invoke(); });
    }
}